Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234549 - Some Keyboard Keys Unresponsive on Microsoft Natural 4000
Summary: Some Keyboard Keys Unresponsive on Microsoft Natural 4000
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Vitezslav Crhonek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-30 00:49 UTC by Chris Spencer
Modified: 2008-02-11 14:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-11 14:22:33 UTC


Attachments (Terms of Use)

Description Chris Spencer 2007-03-30 00:49:56 UTC
Description of problem:
Ever since a recent update, the lights on my MS Natural Keyboard don't light up
when caps/numlock/scrlk are pressed, even though they produce the desired effect
on the system. Also, the Fn keys are completely unresponsive. All other keys
seem to work normally.

Version-Release number of selected component (if applicable):
I'm running kernal version 2.6.20-1.2300.fc5smp

Comment 1 Matt Thompson 2007-04-16 14:53:26 UTC
Chris, are you sure your other keys are working properly?  I am having the same
problem as you describe with one extra benefit, X will crash if I use the
multimedia keys.

With the 2.6.19 and lower kernels, I was able to use the multimedia keys on my
4000 with this Xorg setup:

Section "InputDevice"
        Identifier  "Keyboard0"
        Driver      "kbd"
        Option      "XkbModel" "microsoft"
        Option      "XkbLayout" "us"
EndSection

along with some shortcuts mapping, say, XF86Calculator to the correct events in
my Xfce configuration.  But, as of the 2.6.20 kernels, I get crashes upon a
multimedia keypress.

I know there is a kernel patch for the MS Natural Ergonomic Keyboard 4000 that
was developed by a Gentoo user:

http://gentoo-wiki.com/HOWTO_Microsoft_Natural_Ergonomic_Keyboard_4000

But, I don't really know how to build patches against the Fedora kernels anymore
since it's all kind of changed.  Li Yu (who seems to be the one running the 4000
kernel patches) has been active on this Ubuntu forum here:

http://ubuntuforums.org/showthread.php?t=229559&page=5

One telling quote is this:

The hid core is split from USB since kernel 2.6.20. So we can not port this
driver to it easier.
I already have ported it to 2.6.21-rc2. see this URL:
version 0.5.0 http://lkml.org/lkml/2007/3/5/18
Well, I think it also can use it in 2.6.20 kernel, however it may need some
little changes ( adjust the offset of some lines ).

I'm guessing this split of hid from USB is the reason for the new problems.

Comment 2 Matt Thompson 2007-04-16 14:54:45 UTC
Aw nuts, I just saw this was a FC5 bug.  I'll open up an FC6 bug, as I'm using that.

Comment 3 Chris Spencer 2007-04-16 15:02:27 UTC
Matt,

Thanks for the insight. I'll investigate those tonight when I get home. About
the multimedia keys, I generally don't use them, but the volume and mute buttons
still work just fine.

Comment 4 Matt Thompson 2007-04-16 15:57:02 UTC
Chris, I figured out with the help of the #livna people (long story) that the
multimedia crashes were my fault.  My udev mojo wasn't good enough, so Xorg was
reading the multimedia keys as a mouse button or something.  

My mouse event number changed, but I wasn't using my custom udev rule for my
mouse.  So when there was a reboot, the event number changed, and kablammo.

But, I am still seeing the same NumLock and CapsLock "non-lighting" that you see
on my FC6 box.

Comment 5 Florian Festi 2007-04-23 09:18:47 UTC
Are you using USB or PS/2 to connect your keyboard. Please try the other method,
too, as it triggers different kernel code.


Comment 6 Matt Thompson 2007-04-23 13:47:41 UTC
I'm using USB and I'm afraid I can't connect to a PS/2 port:  there isn't one on
my box.  'Tis all USB, 'tis.

Comment 7 Matt Thompson 2007-04-23 13:49:33 UTC
Sorry, sorry.  Wrong thread to reply in.

Comment 8 Vitezslav Crhonek 2007-06-08 10:02:20 UTC
Hello Chris, AFAIK it's fixed in 2.6.20-1.2952.fc6. Can you try?

Comment 9 Chris Spencer 2007-06-08 16:26:44 UTC
I recently upgraded to Fedora 7, and everything on my keyboard appears to work
again. Thanks.

Comment 10 Chris Spencer 2007-06-17 19:27:31 UTC
I have to rescind my previous statement. I'm using kernel 2.6.21-1.3228.fc7
and all of the Fn keys are still unresponsive. They had been working for a
while, but now they're broken again.

Comment 11 Chris Spencer 2007-07-08 17:06:14 UTC
Everything seems to work, *except* the Fn keys. This is especially weird because
xev shows that the Fn keys are generating correct X events. the F1 key has
keycode 245, F2 has 135, F3 has 138, and so on. I'm unsure why X/Gnome are not
acting on these events.

Comment 12 Chris Spencer 2007-07-08 17:37:54 UTC
Heh, well this is embarrassing. I didn't have my Fn lock set. Now everything
works perfectly. I think this bug can be closed.

Comment 13 Vitezslav Crhonek 2008-02-11 14:22:33 UTC
Hi,

Fine, changing component to kernel (this is not kbd bug at all), closing as
WORKSFORME.


Note You need to log in before you can comment on or make changes to this bug.